Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.doc
Class IdlDoc

    java.lang.Object
      |
      +--org.openorb.compiler.doc.IdlDoc

public class IdlDoc
extends java.lang.Object

This class is the IDL parser for generating documentations

Field Summary
`static java.lang.String` | `codepage` Doc codepage for html files.
`static java.lang.String` | `filename` Doc file name
`static java.lang.String` | `footer` Documentation footer
`static java.lang.String` | `header` Documentation header
`static boolean` | `htmlDoc` Is the target HTML file
`static java.lang.String[]` | `idl_file_name` IDL file name
`static java.util.Vector` | `idl_file_name_list` IDL files list
`static java.lang.String` | `outdir` Indicates the output directory
`static java.lang.String` | `packageName` Generated package name
`static boolean` | `stylesheet` Stylesheet to use
`static java.lang.String` | `title` Documentation title
`static boolean` | `use_package` Indicates if the package name is used
`static boolean` | `usePrefix` Indicated of the prefixes are used

Constructor Summary
`IdlDoc()`

Method Summary
`static void` | `analyse_arguments(java.lang.String[] args)` Scan commang line args
`static void` | `main(java.lang.String[] args)` The compiler starts here
`static void` | `printUsage()` Print help

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### idl_file_name

    public static java.lang.String[] idl_file_name

  IDL file name

### idl_file_name_list

    public static java.util.Vector idl_file_name_list

  IDL files list

### packageName

    public static java.lang.String packageName

  Generated package name

### use_package

    public static boolean use_package

  Indicates if the package name is used

### outdir

    public static java.lang.String outdir

  Indicates the output directory

### stylesheet

    public static boolean stylesheet

  Stylesheet to use

### htmlDoc

    public static boolean htmlDoc

  Is the target HTML file

### title

    public static java.lang.String title

  Documentation title

### header

    public static java.lang.String header

  Documentation header

### footer

    public static java.lang.String footer

  Documentation footer

### filename

    public static java.lang.String filename

  Doc file name

### codepage

    public static java.lang.String codepage

  Doc codepage for html files.

### usePrefix

    public static boolean usePrefix

  Indicated of the prefixes are used

Constructor Detail

### IdlDoc

    public IdlDoc()

Method Detail

### printUsage

    public static void printUsage()

  Print help

### analyse_arguments

    public static void analyse_arguments(java.lang.String[] args)

  Scan commang line args
  Parameters:
    `args` - args list

### main

    public static void main(java.lang.String[] args)

  The compiler starts here
  Parameters:
    `args` - commmand line args

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD